使用 Yarn 更新 Vue CLI

Vue CLI 一但有新的版本,只會有提示訊息,必須手動更新才會到最新版本。

Version


Node.js 8.12.0
NPM 6.7.0
Yarn 1.13.0
Vue CLI 3.4.0
Vue 2.5.22

Vue CLI


1
2
$ yarn global remove @vue/cli
$ yarn global add @vue/cli

先移除 @vue/cli,再重新安裝 @vue/cli

Yarn


1
$ npm install -g yarn

使用 npm install 即可更新 Yarn 至最新版本。

NPM


1
$ npm install -g npm@latest

NPM 可自行更新到最新版本

Conclusion


  • 更新 Vue CLI 時,可一併更新 Yarn
  • NPM 版本比較不重要,畢竟 NPM 只剩下安裝 Yarn 而已
2019-02-03